Subject: bug#15959: 24.3.50; align.el not working

From: Stephen Berman <[email-masked]>
Date: Sat, 23 Nov 2013 22:06:32 +0100

On Sat, 23 Nov 2013 21:09:44 +0800 Xue Fuqiao <[email-masked]> wrote:

> -------------------------------------
> int var = 2;
> int variable_is_kinda_long = 3;
> int var_is_less_long = 4;
> -------------------------------------
>
> To reproduce this bug:
>
>   emacs-24.3 -Q
>   C-x b foo RET
>   M-x c-mode RET
>   <Yank the code above>
>   C-x h
>   M-x align-regexp RET = RET
>
> The result is:
>
> ----------------------------------------
> int var = 2;
> int variable_is_kinda_long = 3;
> int var_is_less_long = 4;
> ----------------------------------------

When I repeat the above recipe, the result I see is this:

---------------------------------------
int var			  = 2;
int variable_is_kinda_long= 3;
int var_is_less_long	  = 4;
---------------------------------------

> Then:
>
>   emacs-24.3.50 -Q
>   C-x b foo RET
>   M-x c-mode RET
>   <Yank the first code fragment>
>   C-x h
>   M-x align-regexp RET = RET
>
> Surprisingly, the result is:
>
> ----------------------------------------
> int var  = 2;
> int variable_is_kinda_long= 3;
> int var_is_less_long  = 4;
> ----------------------------------------

When I repeat this recipe, the result is the same as before, i.e., it is
still aligned as above for me.

>
> In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.6)
>  of 2013-11-23 on xfq-Lenovo-IdeaPad-Y530
> Bzr revision: 115191 [email-masked]
>
> Configured using:
>  `configure --enable-checking --disable-silent-rules
>  --enable-gtk-deprecation-warnings'

My build:
In GNU Emacs 24.3.50.12 (x86_64-suse-linux-gnu, GTK+ Version 3.10.2)
 of 2013-11-23 on rosalinde
Bzr revision: 115205 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11403901
System Description:	openSUSE 13.1 (Bottle) (x86_64)

Configured using:
 `configure --without-toolkit-scroll-bars CFLAGS=-g3'

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Steve Berman